=== debian/changelog ===
fwupd-efi (1:1.2-2~21.10.1) impish; urgency=medium

  [ Yuan-Chen Cheng ]
  * Upload as par of the new fwupd 1.7 serie SRU, needed for hardware
    as the Dell's new Atomic Docking and WD22TB4 (lp: #1949412).
  * change debhelper verson to 12 so we can build in impish.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 08 Feb 2022 14:19:55 +0100

fwupd-efi (1:1.2-2) unstable; urgency=medium

  * Correct the signing template to use binary package not source package

 -- Mario Limonciello <superm1@gmail.com>  Wed, 26 Jan 2022 13:15:00 -0600

fwupd-efi (1:1.2-1) unstable; urgency=medium

  * Update to 1.2 version.
  * Fix the JSON file generation for fwupd/fwupd-efi split (Closes: #1004321)

 -- Mario Limonciello <superm1@gmail.com>  Mon, 24 Jan 2022 16:31:44 -0600

fwupd-efi (1:1.1-5) unstable; urgency=medium

  * Revert riscv64.  There are still other compilation problems that
    need to be fixed upstream and this can be revisited after
    fixing it there. (LP: #1939138)

 -- Mario Limonciello <superm1@gmail.com>  Mon, 17 Jan 2022 10:02:44 -0600

fwupd-efi (1:1.1-4) unstable; urgency=medium

  * Build for riscv64 as well. (LP:# 1939138)

 -- Mario Limonciello <superm1@gmail.com>  Fri, 14 Jan 2022 11:10:25 -0600

fwupd-efi (1:1.1-3) unstable; urgency=medium

  * Drop the epoch from the Ubuntu EFI package (LP: #1956247)
  * Bump standards version.
  * Bump debian/watch to version 4.
  * Remove trailing whitespace from debian/control.

 -- Mario Limonciello <superm1@gmail.com>  Mon, 03 Jan 2022 17:08:56 -0600

fwupd-efi (1:1.1-2) unstable; urgency=medium

  * Breaks/Replaces on fwupd for the transition of fwupd binary.
    Closes: #1002518

 -- Mario Limonciello <superm1@gmail.com>  Tue, 28 Dec 2021 20:54:16 -0600

fwupd-efi (1:1.1-1) unstable; urgency=medium

  * Initial release

 -- Mario Limonciello <superm1@gmail.com>  Tue, 28 Sep 2021 20:40:23 -0500
