## fwupd-efi 1.4

=== debian/changelog ===
fwupd-efi (1:1.4-0ubuntu0.1) kinetic; urgency=medium

  * Stable release series backport (LP: #2011808)
  * Remove i386 from list of architectures, we do not build on there in
    the target build release. armhf will continue to receive unsigned
    updates.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 20 Mar 2023 13:11:14 +0100

fwupd-efi (1:1.4-1) unstable; urgency=medium

  [ Mario Limonciello ]
  * New upstream release.
  * Notable changes:
    - Enforces NX by default.
    - Improvements for aarch64 builds.

  [ Jelmer Vernooij ]
  * Specify branch in Vcs-Git/Vcs-Browser headers

 -- Mario Limonciello <superm1@gmail.com>  Fri, 27 Jan 2023 09:15:57 -0600

fwupd-efi (1:1.2-3) unstable; urgency=medium

  [ Mario Limonciello ]
  * Rebuild to fix Build-Depends in the signed-template
    packages. Closes: #1005144

 -- Steve McIntyre <93sam@debian.org>  Wed, 09 Feb 2022 23:05:46 +0000
