=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: fwupd-efi
 Priority: optional
-Maintainer: Debian EFI <debian-efi@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian EFI <debian-efi@lists.debian.org>
 Uploaders: Steve McIntyre <93sam@debian.org>,
            Matthias Klumpp <mak@debian.org>,
            Mario Limonciello <superm1@gmail.com>
-Build-Depends: debhelper (>= 12),
-               gnu-efi [amd64 arm64 armhf i386],
+Build-Depends: debhelper (>= 13),
+               gnu-efi [amd64 arm64 armhf],
                meson,
-               mingw-w64-tools [amd64 arm64 armhf i386],
+               mingw-w64-tools [amd64 arm64 armhf],
 Standards-Version: 4.6.0.1
 Section: admin
 Homepage: https://github.com/fwupd/fwupd-efi
-Vcs-Git: https://salsa.debian.org/efi-team/fwupd-efi.git
-Vcs-Browser: https://salsa.debian.org/efi-team/fwupd-efi
+Vcs-Git: https://salsa.debian.org/efi-team/fwupd-efi.git -b debian/unstable
+Vcs-Browser: https://salsa.debian.org/efi-team/fwupd-efi/-/tree/debian/unstable
 
 Package: fwupd-unsigned
-Architecture: amd64 arm64 armhf i386
+Architecture: amd64 arm64 armhf
 Depends: ${misc:Depends},
          ${shlibs:Depends},
 Recommends: fwupd-signed
@@ -32,7 +33,7 @@
  This package provides the EFI binaries used for UEFI capsule updates
 
 Package: fwupd-unsigned-dev
-Architecture: amd64 arm64 armhf i386
+Architecture: amd64 arm64 armhf
 Depends: ${misc:Depends},
          fwupd-unsigned (= ${binary:Version})
 Description: Firmware update daemon (Development information)
@@ -46,15 +47,6 @@
 
 Package: fwupd-amd64-signed-template
 Architecture: amd64
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         make | build-essential | dpkg-dev
-Description: Template for signed fwupd package
- This package is used to control code signing by the Debian signing
- service.
-
-Package: fwupd-i386-signed-template
-Architecture: i386
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          make | build-essential | dpkg-dev
