=== debian/rules ===
--- 
+++ 
@@ -13,10 +13,11 @@
 
 SB_STYLE := debian
 deb_version := $(shell debian/grab_version)
+deb_version_no_epoch := $(shell debian/grab_version | sed s/.*://)
 deb_next_version := $(shell debian/grab_version --next)
 ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
 	SB_STYLE := ubuntu
-	tar_name := fwupd_$(deb_version)_$(DEB_HOST_ARCH).tar.gz
+	tar_name := fwupd_$(deb_version_no_epoch)_$(DEB_HOST_ARCH).tar.gz
 	CONFARGS += -Defi_sbat_distro_id=ubuntu
 	CONFARGS += -Defi_sbat_distro_summary=Ubuntu
 	CONFARGS += -Defi_sbat_distro_pkgname=fwupd
@@ -71,9 +72,9 @@
 	dh_builddeb
 ifeq (ubuntu,$(SB_STYLE))
 	set -e; if [ -d debian/tmp/usr/libexec/fwupd/efi/ ]; then \
-		mkdir -p debian/fwupd-images/$(deb_version); \
-		cp debian/tmp/usr/libexec/fwupd/efi/fwupd*.efi debian/fwupd-images/$(deb_version); \
-		echo $(deb_version) > debian/fwupd-images/$(deb_version)/version; \
+		mkdir -p debian/fwupd-images/$(deb_version_no_epoch); \
+		cp debian/tmp/usr/libexec/fwupd/efi/fwupd*.efi debian/fwupd-images/$(deb_version_no_epoch); \
+		echo $(deb_version_no_epoch) > debian/fwupd-images/$(deb_version_no_epoch)/version; \
 		tar -C debian/fwupd-images -czvf ../$(tar_name) .; \
 		dpkg-distaddfile $(tar_name) raw-uefi -; \
 	fi
