=== debian/watch ===
# You can run the "uscan" command to check for upstream updates and more.
# See uscan(1) for format

version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/fwupd-efi-$1\.tar\.gz/ \
https://github.com/fwupd/fwupd-efi/tags .*/v?(\d\S*)\.tar\.gz
