## fwupd-efi 1.6

=== debian/changelog ===
fwupd-efi (1:1.6-1build1) oracular; urgency=medium

  * No-change rebuild to work around Launchpad copy failure, let's also
    link the tracking bug (LP: #2060197)

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 14 Jun 2024 15:28:34 +0200

fwupd-efi (1:1.6-1) unstable; urgency=medium

  * New upstream version (1.6).
  * Drop all patches, upstream

 -- Mario Limonciello <superm1@gmail.com>  Mon, 15 Apr 2024 20:18:07 -0500

fwupd-efi (1:1.5-4) unstable; urgency=medium

  * Backport another patch for aarch64 FTBFS

 -- Mario Limonciello <superm1@gmail.com>  Mon, 01 Apr 2024 15:27:41 -0500

fwupd-efi (1:1.5-3) unstable; urgency=medium

  * Backport some patches from upstream that should
    fix FTBFS on aarch64 with newer gnu-efi.

 -- Mario Limonciello <superm1@gmail.com>  Mon, 01 Apr 2024 12:32:31 -0500

fwupd-efi (1:1.5-2) unstable; urgency=medium

  * Bump minimum gnu-efi version to 3.0.18

 -- Mario Limonciello <superm1@gmail.com>  Mon, 25 Mar 2024 00:16:52 -0500

fwupd-efi (1:1.5-1) unstable; urgency=medium

  * New upstream release
    - Adds support for riscv64 and loongarch64
    - Adds SBOM support
    - UEFI 2.10 fixes
    - ARM32 fixes

 -- Mario Limonciello <superm1@gmail.com>  Wed, 20 Mar 2024 13:46:13 -0500
