=== debian/changelog ===
fwupd-efi (1:1.7-1) unstable; urgency=medium

  * New upstream veresion (1.7)

 -- Mario Limonciello <superm1@gmail.com>  Fri, 20 Sep 2024 23:13:41 -0500
