=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: fwupd-efi
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian EFI <debian-efi@lists.debian.org>
+Maintainer: Debian EFI <debian-efi@lists.debian.org>
 Uploaders: Steve McIntyre <93sam@debian.org>,
            Matthias Klumpp <mak@debian.org>,
            Mario Limonciello <superm1@gmail.com>
 Build-Depends: debhelper (>= 13),
-               gnu-efi [amd64 arm64 armhf],
+               gnu-efi (>= 3.0.18) [amd64 arm64 armhf i386 riscv64 loong64],
                meson,
-               mingw-w64-tools [amd64 arm64 armhf],
+               mingw-w64-tools [amd64 arm64 armhf i386 riscv64 loong64],
 Standards-Version: 4.6.0.1
 Section: admin
 Homepage: https://github.com/fwupd/fwupd-efi
@@ -16,7 +15,7 @@
 Vcs-Browser: https://salsa.debian.org/efi-team/fwupd-efi/-/tree/debian/unstable
 
 Package: fwupd-unsigned
-Architecture: amd64 arm64 armhf
+Architecture: amd64 arm64 armhf i386 riscv64 loong64
 Depends: ${misc:Depends},
          ${shlibs:Depends},
 Recommends: fwupd-signed
@@ -33,7 +32,7 @@
  This package provides the EFI binaries used for UEFI capsule updates
 
 Package: fwupd-unsigned-dev
-Architecture: amd64 arm64 armhf
+Architecture: amd64 arm64 armhf i386 riscv64 loong64
 Depends: ${misc:Depends},
          fwupd-unsigned (= ${binary:Version})
 Description: Firmware update daemon (Development information)
@@ -47,6 +46,15 @@
 
 Package: fwupd-amd64-signed-template
 Architecture: amd64
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         make | build-essential | dpkg-dev
+Description: Template for signed fwupd package
+ This package is used to control code signing by the Debian signing
+ service.
+
+Package: fwupd-i386-signed-template
+Architecture: i386
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          make | build-essential | dpkg-dev
@@ -71,3 +79,21 @@
 Description: Template for signed fwupd package
  This package is used to control code signing by the Debian signing
  service.
+
+Package: fwupd-riscv64-signed-template
+Architecture: riscv64
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         make | build-essential | dpkg-dev
+Description: Template for signed fwupd package
+ This package is used to control code signing by the Debian signing
+ service.
+
+Package: fwupd-loong64-signed-template
+Architecture: loong64
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         make | build-essential | dpkg-dev
+Description: Template for signed fwupd package
+ This package is used to control code signing by the Debian signing
+ service.
