=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,9 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_STRIP=-Wl,-Bsymbolic-functions
 
-CONFARGS =
+-include /usr/share/dpkg/buildtools.mk
+
+CONFARGS = '-Defi-cc=$(CC)'
 
 ifneq ($(CI),)
 	CONFARGS += --werror --wrap-mode=default
